### Method

# GLib IOChannel get_line_term

#### Declaration

    const gchar*
    g_io_channel_get_line_term (
      GIOChannel* channel,
      gint* length
    )

#### Description

This returns the string that `GIOChannel` uses to determine where in the file a line break occurs. A value of `NULL` indicates autodetection.

#### Parameters

`length`

  Type: `gint*`

  A location to return the length of the line terminator.

  The argument will be set by the function.
  The argument can be `NULL`.

#### Return value

Type: `const gchar*`

The line termination string. This value is owned by GLib and must not be freed.

The data is owned by the instance.
The value is a NUL terminated UTF-8 string.